#include <string>
#include <stdlib.h>
#include <iostream>
#include "node.h"
using namespace std;
Node *nodelist[1000];
int nextid = 0;
Node::Node(string n, int r, int g, int b){
	name = n;
	id = nextid;
	nodelist[id] = this;
	red = (float)r / 255;
	green =  (float)g / 255;
	blue = (float)b / 255;
	nextid++;
	}
Node *Node::getNodeById(int id){
	if(id < nextid){
		return nodelist[id];
		}
	return Node::getNodeByName("dragonblocks:unknown");	
	}
Node *Node::getNodeByName(string name){
	for(int i = 0; i < nextid; i++){
		if(Node::getNodeById(i)->name == name){
			return Node::getNodeById(i);
			}
		}
	return Node::getNodeByName("dragonblocks:unknown");		
	}	
void Node::nmap(){
	cout << "Name: " << name << "\n";
	cout << "Id: " << id << "\n";
	cout << "Red: " << red << "\n";
	cout << "Green: " << green << "\n";
	cout << "Blue: " << blue << "\n";
	}

