#include <string>
#include <iostream>
#include <stdlib.h>  
#include "mapgen.h"
#include "../map.h"
#include "../node.h"
using namespace std;
Mapgen::Mapgen(Map *m){
	map = m;
	base();
	water();
	tree();
	}
void Mapgen::base(){
	for(int x = 0; x < 50; x++){
		for(int y = 0; y < 50; y++){
			if(false);
			else if(y >= 00 && y <= 30) map->setNode(x,y,Node::getNodeByName("dragonblocks:air"));
			else if(y >= 31 && y <= 31) map->setNode(x,y,Node::getNodeByName("dragonblocks:grass"));
			else if(y >= 32 && y <= 36) map->setNode(x,y,Node::getNodeByName("dragonblocks:dirt"));
			else if(y >= 37 && y <= 49) map->setNode(x,y,Node::getNodeByName("dragonblocks:stone"));
			}
		}	
	}
void Mapgen::water(){
	int y = 31;
	int x = rand() % 50;
	map->setNode(x+2,y,Node::getNodeByName("dragonblocks:water"));
	map->setNode(x+1,y,Node::getNodeByName("dragonblocks:water"));
	map->setNode(x,y,Node::getNodeByName("dragonblocks:water"));
	map->setNode(x-1,y,Node::getNodeByName("dragonblocks:water"));
	map->setNode(x-2,y,Node::getNodeByName("dragonblocks:water"));
	map->setNode(x+1,y+1,Node::getNodeByName("dragonblocks:water"));
	map->setNode(x,y+1,Node::getNodeByName("dragonblocks:water"));
	map->setNode(x-1,y+1,Node::getNodeByName("dragonblocks:water"));
	}	
void Mapgen::tree(){
	for(int i = 0; i < 3; i++){
		int y = 30; 
		int x = 0;
		do x = rand() % 50;
		while(map->getNode(x,y)->id == Node::getNodeByName("dragonblocks:wood")->id || map->getNode(x,y+1)->id == Node::getNodeByName("dragonblocks:water")->id);
		map->setNode(x,y,Node::getNodeByName("dragonblocks:wood"));
		map->setNode(x,y-1,Node::getNodeByName("dragonblocks:wood"));
		map->setNode(x,y-2,Node::getNodeByName("dragonblocks:leaves"));
		map->setNode(x,y-3,Node::getNodeByName("dragonblocks:leaves"));
		map->setNode(x,y-4,Node::getNodeByName("dragonblocks:leaves"));
		map->setNode(x-1,y-2,Node::getNodeByName("dragonblocks:leaves"));
		map->setNode(x-1,y-3,Node::getNodeByName("dragonblocks:leaves"));
		map->setNode(x-1,y-4,Node::getNodeByName("dragonblocks:leaves"));
		map->setNode(x+1,y-2,Node::getNodeByName("dragonblocks:leaves"));
		map->setNode(x+1,y-3,Node::getNodeByName("dragonblocks:leaves"));
		map->setNode(x+1,y-4,Node::getNodeByName("dragonblocks:leaves"));
		}
	}
void Mapgen::flora(){
	for(int i = 0; i < 5; i++){
		int y = 30; 
		int x = 0;
		do x = rand() % 50;
		while(map->getNode(x,y)->id == Node::getNodeByName("dragonblocks:wood")->id || map->getNode(x,y)->id == Node::getNodeByName("dragonblocks:stil")->id || map->getNode(x,y+1)->id == Node::getNodeByName("dragonblocks:water")->id);
		map->setNode(x,y,Node::getNodeByName("dragonblocks:stil"));
		map->setNode(x,y-1,Node::getNodeByName("dragonblocks:flower"));
		}
	}
